Skip to main content
GET
/
prices
Get USD unit prices for token symbols
curl --request GET \
  --url https://v1.orchestrator.rhinestone.dev/deposit-processor/prices \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/prices"

headers = {"x-api-key": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};

fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "prices": {
    "SOL": 168.42
  }
}
{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}

Headers

x-api-key
string
required

API key for authentication

Example:

"your-api-key"

x-api-version
string

API version identifier (e.g. "2026-04.amazon"). Optional today, will become required in a future release.

Pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
Example:

"2026-04.amazon"

Query Parameters

symbols
string
required

Comma-separated token symbols to price (e.g. "SOL,ETH")

Minimum string length: 1
Example:

"SOL"

Response

USD unit prices for the requested symbols

prices
object
required

USD unit price keyed by uppercased token symbol

Example:
{ "SOL": 168.42 }